> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get deal attributes

GET https://api.brevo.com/v3/crm/attributes/deals

Retrieve the list of all attributes defined for deals, including both system-default and custom attributes. Each attribute includes its label, internal name, type, required status, and available options for select-type attributes.

Reference: https://developers.brevo.com/reference/get-deal-attributes

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Response

### 200

Returns list of deal attributes

- `list of object`
  - `internalName` (string, optional) — Internal name of the attribute
  - `attributeTypeName` (string, optional) — Type of the attribute
  - `label` (string, optional) — Display label of the attribute
  - `attributeOptions` (list of object, optional) — Options for single-select or multi-choice attributes
    - `key` (string, optional)
    - `value` (string, optional)
  - `isRequired` (boolean, optional) — Whether this attribute is required
  - `isValueReadonly` (boolean, optional) — Whether this attribute value is read-only

## Examples

**Response**

```json
[
  {
    "internalName": "deal_name",
    "attributeTypeName": "text",
    "label": "Deal Name",
    "attributeOptions": [
      {
        "key": "custom key",
        "value": "custom label"
      }
    ],
    "isRequired": true,
    "isValueReadonly": false
  }
]
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.deals.getDealAttributes();
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.deals.get_deal_attributes()

```

```php
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->deals->getDealAttributes();

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/crm/attributes/deals"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/crm/attributes/deals")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/crm/attributes/deals")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/crm/attributes/deals");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/crm/attributes/deals")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```